Skip to main content
GET
/
payments
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://services.leadconnectorhq.com/payments/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    {
      "_id": "64bf78af39118e4011926cba",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "location",
      "status": "active",
      "entitySourceType": "funnel",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2023-11-20T10:23:36.515Z",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@gohighlevel.com",
      "currency": "USD",
      "amount": "100",
      "liveMode": "false",
      "entityType": "order",
      "entityId": "62f4db0f3059ecee61379012",
      "entitySourceName": "Attribution Funnel",
      "entitySourceId": "bevrkPbLaDNXFaqfLKMm",
      "entitySourceMeta": "{ domain: \"app.gohighlevel.com\", pageId:  \"sxC4lNhFIavEnLZh5KhC\", pageUrl:  \"/v2/preview/sxC4lNhFIavEnLZh5KhC\", stepId: \"7d303d1f-cb85-403d-b548-bf01de5c7bb0\" }",
      "subscriptionId": "I-0UE609H8E43P",
      "subscriptionSnapshot": "{ status: \"ACTIVE\", status_update_time: \"2022-08-16T11:06:53Z\", id: \"I-0UE609H8E43P\", plan_id: \"P-82K11750F0313430KMLRGE6Y\", start_time: \"2022-08-16T11:05:31Z\", quantity: 1 }",
      "paymentProviderType": "stripe",
      "paymentProviderConnectedAccount": "ATn0CqrzrWS5ak185Bsb1xCpyzBDOZ8WdRxyFotppLYePTDhiuQ49H5QXO_L-4HKk1GBn7f9_QhbNK2s",
      "ipAddress": "103.100.16.82",
      "createdBy": "user123"
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

altId
string
required

AltId is the unique identifier e.g: location id.

Example:

"3SwdhCu3svxI8AKsPJt6"

altType
enum<string>
required

AltType is the type of identifier.

Available options:
location
Example:

"location"

entityId
string

Entity id for filtering of subscriptions.

Example:

"61dd0fe9c077f73e67f78803"

paymentMode
string

Mode of payment.

Example:

"live"

startAt
string

Starting interval of subscriptions.

Example:

"2024-02-01"

endAt
string

Closing interval of subscriptions.

Example:

"2024-02-13"

entitySourceType
string

Source of the subscriptions.

Example:

"funnel"

The name of the subscription for searching.

Example:

"Awesome subscription"

contactId
string

Contact ID for the subscription

Example:

"AmuzcoPBpgKeccNsFlib"

id
string

Subscription id for filtering of subscriptions.

Example:

"64bf78af39118e4011926cba"

limit
number
default:10

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

getPaymentsCollectedCount
boolean

Get the total payments collected for the subscription.

Example:

"true"

Response

Successful response

data
object[]
required

An array of subscriptions

totalCount
number
required

total subscriptions count

Last modified on March 4, 2026